/*
 * JavaKeyword.java
 *
 * Created on April 6, 2007, 8:14 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.sf.sql2java.common.conversion;

import net.sf.sql2java.utils.StringUtils;

/**
 *
 * @author dge2
 */
public class JavaKeyword extends Keyword {
    private String escapePrefix;
    
// -- Constructors ------------------------------------------------------------
    
    public JavaKeyword(String name, String escapePrefix) {
        super("java", name);
        
        this.escapePrefix = escapePrefix;
    }

// -- Implementations ---------------------------------------------------------
    
    public String replace() {
        // -- create the result object
        String result = "";
        
        // -- if the name is in uppercase we'll convert it to lowercase and 
        // -- capitalize the first letter. Not to forget to capitalize our 
        // -- escape prefix too, but not the first letter.
        result = escapePrefix + name;
        
        // -- lets camelcase the whole thing
        result = StringUtils.camelcase(result, false, true);
        
        // -- return the result object
        return result;
    }
    
}
