/*
 * KeywordFactory.java
 *
 * Created on April 6, 2007, 9:06 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.sf.sql2java.common.conversion;

/**
 *
 * @author dge2
 */
public abstract class KeywordFactory {
    
    public static Keyword createKeyword(String context, String name, String prefix, String suffix) {
        Keyword result = null;
        
        if (context.equalsIgnoreCase("sql"))
            result = new SqlKeyword(name, prefix, suffix);
        else if (context.equalsIgnoreCase("java"))
            result = new JavaKeyword(name, prefix);
        
        return result;
    }
    
}
